Add missing bison/flex dependency to more ebuilds, bug #376103. Remove obsolete versions.
authorChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
Sat, 23 Jul 2011 14:26:04 +0000 (14:26 +0000)
committerChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
Sat, 23 Jul 2011 14:26:04 +0000 (14:26 +0000)
Package-Manager: portage-2.2.0_alpha45/cvs/Linux x86_64

media-libs/mesa/ChangeLog
media-libs/mesa/Manifest
media-libs/mesa/mesa-7.10.1.ebuild [deleted file]
media-libs/mesa/mesa-7.10.2.ebuild
media-libs/mesa/mesa-7.10.3.ebuild
media-libs/mesa/mesa-7.9.1.ebuild [deleted file]
media-libs/mesa/mesa-7.9.2.ebuild

index 0a573ae26111b56285c45c8d5ed32432d197285b..527ba94b04cac51ebbc44b11d5a9f1b8c958ca40 100644 (file)
@@ -1,6 +1,12 @@
 # ChangeLog for media-libs/mesa
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v 1.349 2011/07/21 16:29:36 mattst88 Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/ChangeLog,v 1.350 2011/07/23 14:26:04 chithanh Exp $
+
+  23 Jul 2011; Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org>
+  -mesa-7.9.1.ebuild, mesa-7.9.2.ebuild, -mesa-7.10.1.ebuild,
+  mesa-7.10.2.ebuild, mesa-7.10.3.ebuild:
+  Add missing bison/flex dependency to more ebuilds, bug #376103. Remove
+  obsolete versions.
 
   21 Jul 2011; Matt Turner <mattst88@gentoo.org> mesa-7.11_rc2.ebuild:
   Add sys-devel/{bison,flex} to DEPEND, for new glsl_compiler, bug 375793.
index ed04cf37649ca7fa70287c01427d7cef2a76ca76..bb0220d2e54e427e2a3a03e588b362443698940f 100644 (file)
@@ -1,32 +1,17 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
 AUX eselect-mesa.conf.7.10 1670 RMD160 a500c3af1c036678a84548b92e348b12a72ec117 SHA1 38cc1b51398382f5a2d1b89da4f16d3fa0e55450 SHA256 3ff15cedc353feeb2da450533c2ea2efc33ed1c8434a7b3037999c4965907149
 AUX eselect-mesa.conf.7.11 1670 RMD160 74d85b0481f36a8e2b2e09245d49d09671500946 SHA1 5c5f468feaae946e5901698d1c0ffe8fc480b783 SHA256 448d08e97e931563aa2e33f22feeaf911caf9a2eb9fd7b446485311d1dcc1225
 AUX eselect-mesa.conf.7.9 1652 RMD160 922a0cc81e31548eacc7bc079448a93912124180 SHA1 2fb5a1fad37cc907871541ba8daca927dca968bb SHA256 bee4d061f1fb63c4c70d3f643fee7b53726c8826782f57b988f545e12eccd8c1
 AUX glx_ro_text_segm.patch 731 RMD160 6d2bd85591d6349fa45a5ee16c724859c640e902 SHA1 3015aa2bd139bcdf2c3fae61f460f0c5aaeb1df7 SHA256 e36af5b530fdbe2b0e62a035bf4bf4baef267c3dc56133d1a58e56899ebffc5c
-DIST MesaLib-7.10.1.tar.bz2 5866217 RMD160 013ce67ea1ddb2563c173b786dcfdf5eb61865f5 SHA1 0cb966b35e57edb00d1cb09d88f502b171ce33d2 SHA256 9f4c67b212d9ecb83819e76645cecbebafbbfd6cb76290d0c2ea9f5ad9507390
 DIST MesaLib-7.10.2.tar.bz2 5863551 RMD160 4e5cfdf3b66f1b05d1aefd5267fe157e542f6ac2 SHA1 71bbb2686230f6334aa625a951b58b4b2d5d6aa0 SHA256 8ced2678ce11cf30804694a92ea3ca6b82f158ae8995bdc626c7e85aac71c7c1
 DIST MesaLib-7.10.3.tar.bz2 6056837 RMD160 bd9800a0cf98560a4424742cac635b4c07a39647 SHA1 e1fe8bad90bb24cc4b25a42932c277a0e0d7a2ac SHA256 1e701fc839b872677ddca9ed8784d754c9da1fbeda98173980e06aa7df0e85c0
 DIST MesaLib-7.11-rc2.tar.bz2 6296121 RMD160 5adb206406aaec7b8aef90bd3eb4e5740268baa5 SHA1 5ff61ae7a75dd37691915ec1706161d26392ddbb SHA256 c08657a47af6deaf706b6036fc71a5160ca4f718dee35c8ce927b6c7a7964a4c
-DIST MesaLib-7.9.1.tar.bz2 5640520 RMD160 5d83557160dc13f98647889bab351712c7b67316 SHA1 a442f77072c690ccd8c2659664929684f74d82fd SHA256 403986cd83d957db17957f11c320c9562cc8675273efbaa402e88bf4e6586721
 DIST MesaLib-7.9.2.tar.bz2 5648858 RMD160 d6665c1eb1035b9bebc743401355c39aaffcdf5c SHA1 973d27e49654b7bd1ed0d3c4c986d26d25ccabed SHA256 6b54c96ba0673c3f088bf9a56c2d64a6e54831a1065dedf0ac234d7cd5151253
 DIST mesa-7.10.1-gentoo-patches-01.tar.bz2 5488 RMD160 acc52b4f05b82a98e7994dc005699630270de360 SHA1 f38c616eeacbeebe597ed4bc98b84a41caa18108 SHA256 31cd4f6d1a0a70249c40452919074856d120cd473a01a8457e3dc147a1b622d8
 DIST mesa-7.10.2-gentoo-patches-01.tar.bz2 5974 RMD160 aa2ddbd006734b4493fafeb2daeac2c5f36b0469 SHA1 5cfe8ba2e23cc55eea2d8bf44cd6515b5fe453de SHA256 9944599547f9552f5233043a8964708a05608cc2b17127503bf299fede037f80
-DIST mesa-7.9.1-gentoo-patches-01.tar.bz2 2139 RMD160 9db0129c3aca3ed63c0b6665ac2f061997364c05 SHA1 b41022dfcf554d8460c96804d3d97224d05e7607 SHA256 b2b593a3cc529913a34a59c017dad4a51ae82e8b2dd4bf333a52260c3cab0aa1
-EBUILD mesa-7.10.1.ebuild 9505 RMD160 27b888e1a58bcafc4e84f082e7f8046543d7377c SHA1 ad4def74ff9a39b50652dbb37cfcad25a05ec241 SHA256 82adcf6101f91b903abf3faf2072ece0c69387d8a4bf493cc09239bfb219fccf
 EBUILD mesa-7.10.2-r1.ebuild 9742 RMD160 32520243f48c0e40b8668a0f7ec631dacd431141 SHA1 4d45aea58654e7519b1edfe8d70c92831f99cb4c SHA256 90fd24a1149d9177f0522ad1b459a6a6cfb336e1fc4fc9a4101006067f02820a
-EBUILD mesa-7.10.2.ebuild 9737 RMD160 46ae69b973ededabbeda551c713c3497298cab3b SHA1 26cd8781fa335cf5a69c4eab15954f61a11c1e44 SHA256 743b65a11193b649eff1a1aea8cd12a5f9d78b233e281bdfb301e3b6813c3779
-EBUILD mesa-7.10.3.ebuild 9733 RMD160 fba5f65e7f1c55f1f0656b74ab39680f5b637185 SHA1 73f5a1eb53b2e2f4df114e6f98f46376dc959fd5 SHA256 7f96a49473217e6ddb638ac6a541bde9871f373e9b9e2e32fbd76593b74d896e
+EBUILD mesa-7.10.2.ebuild 9768 RMD160 47dd9bb4c2d1dbe37bd1450ebd026ca5f0fa8e79 SHA1 ef337243869cb046a10ffab9c32a18f19becc2e9 SHA256 1f2c3c4e027a30a939d442e1ad8d811869ef1dbabd8cdf0676108ee39f597c4b
+EBUILD mesa-7.10.3.ebuild 9768 RMD160 f401484f7508ffd5d528cd8aaf852c16634064f2 SHA1 200e688db12c8e0abe848b3aa319004649241139 SHA256 eac6796537258200a0fc3f45b59a0cda0e0e687521a68dac3f4381c2a05272c1
 EBUILD mesa-7.11_rc2.ebuild 9953 RMD160 97d5d82a6985b3b0bd6f137ac7c262b0ec086d21 SHA1 29010cbc0b7d6a745b7b994cb48e56c8936f241c SHA256 e941893dd5aed186657731a48ce64046b4ef01941a0116c1c85cd62dc47540c4
-EBUILD mesa-7.9.1.ebuild 8875 RMD160 7d8affe7e8e5cbdb332e52a0b8b842b37149eb49 SHA1 a85123962651bb07feeb1a70e3f608c49d529211 SHA256 f74f65ca5a94d79d7a8f9017eec41ae0992aa2fa631d17954a9dfeab222101cd
-EBUILD mesa-7.9.2.ebuild 8876 RMD160 58645f5c8ba79e1ec2a08a1bdac329c4b680bd8a SHA1 7b48a4851b6806d01ef0a4f944a5ec734bbc230f SHA256 81d1296f74f02372919a0338ea9bc9aadc6f876ca62fe9cacf2a9833b94e290f
-MISC ChangeLog 58014 RMD160 99f67a4f283d2e3b53ddad1d196b80bc93e314f9 SHA1 e058ca48f7e3afb9deca33c91e9f3b0baabda402 SHA256 96d40235f3f5824f1211761a10fd563aab9f816f56de935f44493082b3966780
+EBUILD mesa-7.9.2.ebuild 8909 RMD160 b4ff6784c3e54dd76bb6085f0ff110897922c294 SHA1 d0ecb14966b60671f486ea55db9e16a305b7e5da SHA256 5bc74c4a3b3473a48c4985d9b255d3a60a26a939294a06b443bb7caf5423cf40
+MISC ChangeLog 58282 RMD160 9acc7093a082d87da819e0b742e410dcc51b62d1 SHA1 9923da4b4bf15251cc6296818eba355d6a843867 SHA256 272629322d6c0360b334dba27f614bd936941ab6c564862b795d60d831a388b8
 MISC metadata.xml 860 RMD160 d108595ff01a4508486d4ddc6e5875eb2d6f1277 SHA1 a4a5876ef7be72273d7893a8573b12fb39a50426 SHA256 b8a309225d512ad3848d9bea0b6badd447918bde1ef4489c736f12e6c23970ac
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
-
-iEYEARECAAYFAk4oU/4ACgkQTVUdg23rv50PZwCfZ/ACCVKYYbgaN1LoRo7TCqtS
-AHEAn1SXGWe36Bfc1OY/o2YAjGMSBMiv
-=x5Og
------END PGP SIGNATURE-----
diff --git a/media-libs/mesa/mesa-7.10.1.ebuild b/media-libs/mesa/mesa-7.10.1.ebuild
deleted file mode 100644 (file)
index 30d98fd..0000000
+++ /dev/null
@@ -1,341 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.10.1.ebuild,v 1.8 2011/04/17 22:53:15 chithanh Exp $
-
-EAPI=3
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
-       GIT_ECLASS="git"
-       EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
-       SRC_URI="${SRC_PATCHES}"
-else
-       SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
-               ${SRC_PATCHES}"
-fi
-
-LICENSE="LGPL-2 kilgard"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="intel"
-RADEON_CARDS="radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
-for card in ${VIDEO_CARDS}; do
-       IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
-       +classic debug +gallium gles llvm motif +nptl pic selinux kernel_FreeBSD hardened"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.23"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
-       !<x11-base/xorg-server-1.7
-       !<=x11-proto/xf86driproto-2.0.3
-       >=app-admin/eselect-mesa-0.0.3
-       >=app-admin/eselect-opengl-1.1.1-r2
-       dev-libs/expat
-       dev-libs/libxml2[python]
-       sys-libs/talloc
-       x11-libs/libICE
-       >=x11-libs/libX11-1.3.99.901
-       x11-libs/libXdamage
-       x11-libs/libXext
-       x11-libs/libXi
-       x11-libs/libXmu
-       x11-libs/libXxf86vm
-       motif? ( x11-libs/openmotif )
-       gallium? (
-               llvm? (
-                       amd64? ( dev-libs/udis86 )
-                       x86? ( dev-libs/udis86 )
-                       x86-fbsd? ( dev-libs/udis86 )
-                       <sys-devel/llvm-2.9
-               )
-       )
-       ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
-       video_cards_nouveau? ( <x11-libs/libdrm-2.4.24 )
-"
-for card in ${INTEL_CARDS}; do
-       RDEPEND="${RDEPEND}
-               video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
-       "
-done
-
-for card in ${RADEON_CARDS}; do
-       RDEPEND="${RDEPEND}
-               video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
-       "
-done
-
-DEPEND="${RDEPEND}
-       =dev-lang/python-2*
-       dev-util/pkgconfig
-       x11-misc/makedepend
-       >=x11-proto/dri2proto-2.2
-       >=x11-proto/glproto-1.4.11
-       x11-proto/inputproto
-       >=x11-proto/xextproto-7.0.99.1
-       x11-proto/xf86driproto
-       x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
-       # gcc 4.2 has buggy ivopts
-       if [[ $(gcc-version) = "4.2" ]]; then
-               append-flags -fno-ivopts
-       fi
-
-       # recommended by upstream
-       append-flags -ffast-math
-
-       python_set_active_version 2
-       python_pkg_setup
-}
-
-src_unpack() {
-       [[ $PV = 9999* ]] && git_src_unpack || base_src_unpack
-}
-
-src_prepare() {
-       # apply patches
-       if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
-               EPATCH_FORCE="yes" \
-               EPATCH_SOURCE="${WORKDIR}/patches" \
-               EPATCH_SUFFIX="patch" \
-               epatch
-       fi
-
-       # bug 240956
-       [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
-       # FreeBSD 6.* doesn't have posix_memalign().
-       if [[ ${CHOST} == *-freebsd6.* ]]; then
-               sed -i \
-                       -e "s/-DHAVE_POSIX_MEMALIGN//" \
-                       configure.ac || die
-       fi
-       # Solaris needs some recent POSIX stuff in our case
-       if [[ ${CHOST} == *-solaris* ]] ; then
-               sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
-               sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die
-       fi
-
-       # In order for mesa to complete it's build process we need to use a tool
-       # that it compiles. When we cross compile this clearly does not work
-       # so we require mesa to be built on the host system first. -solar
-       if tc-is-cross-compiler; then
-               sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
-                       "${S}"/src/mesa/shader/slang/library/Makefile || die
-       fi
-
-       [[ $PV = 9999* ]] && git_src_prepare
-       base_src_prepare
-
-       eautoreconf
-}
-
-src_configure() {
-       local myconf
-
-       if use classic; then
-       # Configurable DRI drivers
-               driver_enable swrast
-
-               # Intel code
-               driver_enable video_cards_intel i810 i915 i965
-
-               # Nouveau code
-               driver_enable video_cards_nouveau nouveau
-
-               # ATI code
-               driver_enable video_cards_radeon radeon r200 r300 r600
-               driver_enable video_cards_mach64 mach64
-               driver_enable video_cards_mga mga
-               driver_enable video_cards_r128 r128
-
-               driver_enable video_cards_savage savage
-               driver_enable video_cards_sis sis
-               driver_enable video_cards_tdfx tdfx
-               driver_enable video_cards_via unichrome
-       fi
-
-       myconf="${myconf} $(use_enable gallium)"
-       if use !gallium && use !classic; then
-               ewarn "You enabled neither classic nor gallium USE flags. No hardware"
-               ewarn "drivers will be built."
-       fi
-       if use gallium; then
-               elog "You have enabled gallium infrastructure."
-               elog "This infrastructure currently support these drivers:"
-               elog "    Intel: works only i915 and i965 somehow."
-               elog "    LLVMpipe: Software renderer."
-               elog "    Nouveau: Support for nVidia NV30 and later cards."
-               elog "    Radeon: Newest implementation of r300-r700 driver."
-               elog "    Svga: VMWare Virtual GPU driver."
-               echo
-               myconf="${myconf}
-                       --with-state-trackers=glx,dri,egl,vega
-                       $(use_enable llvm gallium-llvm)
-                       $(use_enable gles gles1)
-                       $(use_enable gles gles2)
-                       $(use_enable gles gles-overlay)
-                       $(use_enable video_cards_vmware gallium-svga)
-                       $(use_enable video_cards_nouveau gallium-nouveau)
-                       $(use_enable video_cards_intel gallium-i915)
-                       $(use_enable video_cards_intel gallium-i965)
-                       $(use_enable video_cards_radeon gallium-radeon)
-                       $(use_enable video_cards_radeon gallium-r600)"
-       else
-               if use video_cards_nouveau || use video_cards_vmware; then
-                       elog "SVGA and nouveau drivers are available only via gallium interface."
-                       elog "Enable gallium useflag if you want to use them."
-               fi
-       fi
-
-       # bug 240956
-       use x86 && myconf="${myconf} $(use_enable hardened glx-rts)"
-
-       # --with-driver=dri|xlib|osmesa || do we need osmesa?
-       econf \
-               --disable-option-checking \
-               --with-driver=dri \
-               --disable-glut \
-               --without-demos \
-               --enable-xcb \
-               $(use_enable debug) \
-               $(use_enable motif glw) \
-               $(use_enable motif) \
-               $(use_enable nptl glx-tls) \
-               $(use_enable !pic asm) \
-               --with-dri-drivers=${DRI_DRIVERS} \
-               ${myconf}
-}
-
-src_install() {
-       base_src_install
-
-       # Save the glsl-compiler for later use
-       if ! tc-is-cross-compiler; then
-               dobin "${S}"/src/glsl/glsl_compiler || die
-       fi
-       # Remove redundant headers
-       # GLUT thing
-       rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed."
-       # Glew includes
-       rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \
-               || die "Removing glew includes failed."
-
-       # Install config file for eselect mesa
-       insinto /usr/share/mesa
-       newins "${FILESDIR}/eselect-mesa.conf.7.10" eselect-mesa.conf || die
-
-       # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
-       # because user can eselect desired GL provider.
-       ebegin "Moving libGL and friends for dynamic switching"
-               dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
-               local x
-               for x in "${ED}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
-                       if [ -f ${x} -o -L ${x} ]; then
-                               mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
-                                       || die "Failed to move ${x}"
-                       fi
-               done
-               for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
-                       if [ -f ${x} -o -L ${x} ]; then
-                               mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
-                                       || die "Failed to move ${x}"
-                       fi
-               done
-       eend $?
-
-       if use classic || use gallium; then
-               ebegin "Moving DRI/Gallium drivers for dynamic switching"
-                       local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
-                       dodir /usr/$(get_libdir)/mesa
-                       for x in ${gallium_drivers[@]}; do
-                               if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
-                                       mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
-                                               || die "Failed to move ${x}"
-                                       insinto "/usr/$(get_libdir)/dri/"
-                                       if [ -f "${S}/$(get_libdir)/${x}" ]; then
-                                               insopts -m0755
-                                               doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
-                                       fi
-                               fi
-                       done
-                       for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
-                               if [ -f ${x} -o -L ${x} ]; then
-                                       mv -f "${x}" "${x/dri/mesa}" \
-                                               || die "Failed to move ${x}"
-                               fi
-                       done
-                       pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
-                       ln -s ../mesa/*.so . || die "Creating symlink failed"
-                       # remove symlinks to drivers known to eselect
-                       for x in ${gallium_drivers[@]}; do
-                               if [ -f ${x} -o -L ${x} ]; then
-                                       rm "${x}" || die "Failed to remove ${x}"
-                               fi
-                       done
-                       popd
-               eend $?
-       fi
-}
-
-pkg_postinst() {
-       # Switch to the xorg implementation.
-       echo
-       eselect opengl set --use-old ${OPENGL_DIR}
-       # Select classic/gallium drivers
-       eselect mesa set --auto
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-driver_enable() {
-       case $# in
-               # for enabling unconditionally
-               1)
-                       DRI_DRIVERS+=",$1"
-                       ;;
-               *)
-                       if use $1; then
-                               shift
-                               for i in $@; do
-                                       DRI_DRIVERS+=",${i}"
-                               done
-                       fi
-                       ;;
-       esac
-}
index 62a1f3ba5f16cbd4b5b93e46ea0607ee123010e5..d9a3481d8172efe04ef21d322237dab3ad3b902a 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.10.2.ebuild,v 1.11 2011/07/15 17:05:25 xarthisius Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.10.2.ebuild,v 1.12 2011/07/23 14:26:04 chithanh Exp $
 
 EAPI=3
 
@@ -98,6 +98,8 @@ done
 DEPEND="${RDEPEND}
        =dev-lang/python-2*
        dev-util/pkgconfig
+       sys-devel/bison
+       sys-devel/flex
        x11-misc/makedepend
        x11-proto/inputproto
        >=x11-proto/xextproto-7.0.99.1
index 859993d0afeb05f339aa6de950d545840a0603e8..1b01ab50f2d465a336985c62fe3c6c1579cdf6c1 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.10.3.ebuild,v 1.5 2011/07/13 19:47:03 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.10.3.ebuild,v 1.6 2011/07/23 14:26:04 chithanh Exp $
 
 EAPI=3
 
@@ -98,6 +98,8 @@ done
 DEPEND="${RDEPEND}
        =dev-lang/python-2*
        dev-util/pkgconfig
+       sys-devel/bison
+       sys-devel/flex
        x11-misc/makedepend
        x11-proto/inputproto
        >=x11-proto/xextproto-7.0.99.1
diff --git a/media-libs/mesa/mesa-7.9.1.ebuild b/media-libs/mesa/mesa-7.9.1.ebuild
deleted file mode 100644 (file)
index 5472860..0000000
+++ /dev/null
@@ -1,326 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.9.1.ebuild,v 1.9 2011/04/17 22:53:15 chithanh Exp $
-
-EAPI=3
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
-       GIT_ECLASS="git"
-       EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
-       SRC_URI="${SRC_PATCHES}"
-else
-       SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
-               ${SRC_PATCHES}"
-fi
-
-LICENSE="LGPL-2 kilgard"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd"
-
-INTEL_CARDS="intel"
-RADEON_CARDS="radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
-for card in ${VIDEO_CARDS}; do
-       IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
-       +classic debug +gallium gles llvm motif +nptl pic selinux kernel_FreeBSD"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.23"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="
-       !<x11-base/xorg-server-1.7
-       !<=x11-proto/xf86driproto-2.0.3
-       >=app-admin/eselect-mesa-0.0.3
-       >=app-admin/eselect-opengl-1.1.1-r2
-       dev-libs/expat
-       dev-libs/libxml2[python]
-       sys-libs/talloc
-       x11-libs/libICE
-       >=x11-libs/libX11-1.3.99.901
-       x11-libs/libXdamage
-       x11-libs/libXext
-       x11-libs/libXi
-       x11-libs/libXmu
-       x11-libs/libXxf86vm
-       motif? ( x11-libs/openmotif )
-       gallium? (
-               llvm? (
-                       amd64? ( dev-libs/udis86 )
-                       x86? ( dev-libs/udis86 )
-                       x86-fbsd? ( dev-libs/udis86 )
-                       <sys-devel/llvm-2.9
-               )
-       )
-       ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
-       video_cards_nouveau? ( <x11-libs/libdrm-2.4.24 )
-"
-for card in ${INTEL_CARDS}; do
-       RDEPEND="${RDEPEND}
-               video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
-       "
-done
-
-for card in ${RADEON_CARDS}; do
-       RDEPEND="${RDEPEND}
-               video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
-       "
-done
-
-DEPEND="${RDEPEND}
-       =dev-lang/python-2*
-       dev-util/pkgconfig
-       x11-misc/makedepend
-       >=x11-proto/dri2proto-2.2
-       >=x11-proto/glproto-1.4.11
-       x11-proto/inputproto
-       >=x11-proto/xextproto-7.0.99.1
-       x11-proto/xf86driproto
-       x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
-       # gcc 4.2 has buggy ivopts
-       if [[ $(gcc-version) = "4.2" ]]; then
-               append-flags -fno-ivopts
-       fi
-
-       # recommended by upstream
-       append-flags -ffast-math
-
-       python_set_active_version 2
-       python_pkg_setup
-}
-
-src_unpack() {
-       [[ $PV = 9999* ]] && git_src_unpack || base_src_unpack
-}
-
-src_prepare() {
-       # apply patches
-       if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
-               EPATCH_FORCE="yes" \
-               EPATCH_SOURCE="${WORKDIR}/patches" \
-               EPATCH_SUFFIX="patch" \
-               epatch
-       fi
-       # FreeBSD 6.* doesn't have posix_memalign().
-       if [[ ${CHOST} == *-freebsd6.* ]]; then
-               sed -i \
-                       -e "s/-DHAVE_POSIX_MEMALIGN//" \
-                       configure.ac || die
-       fi
-
-       # In order for mesa to complete it's build process we need to use a tool
-       # that it compiles. When we cross compile this clearly does not work
-       # so we require mesa to be built on the host system first. -solar
-       if tc-is-cross-compiler; then
-               sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
-                       "${S}"/src/mesa/shader/slang/library/Makefile || die
-       fi
-
-       [[ $PV = 9999* ]] && git_src_prepare
-       base_src_prepare
-
-       eautoreconf
-}
-
-src_configure() {
-       local myconf
-
-       if use classic; then
-       # Configurable DRI drivers
-               driver_enable swrast
-
-               # Intel code
-               driver_enable video_cards_intel i810 i915 i965
-
-               # Nouveau code
-               driver_enable video_cards_nouveau nouveau
-
-               # ATI code
-               driver_enable video_cards_radeon radeon r200 r300 r600
-
-               driver_enable video_cards_savage savage
-               driver_enable video_cards_sis sis
-               driver_enable video_cards_tdfx tdfx
-               driver_enable video_cards_via unichrome
-       fi
-
-       myconf="${myconf} $(use_enable gallium)"
-       if use !gallium && use !classic; then
-               ewarn "You enabled neither classic nor gallium USE flags. No hardware"
-               ewarn "drivers will be built."
-       fi
-       if use gallium; then
-               elog "You have enabled gallium infrastructure."
-               elog "This infrastructure currently support these drivers:"
-               elog "    Intel: works only i915 and i965 somehow."
-               elog "    LLVMpipe: Software renderer."
-               elog "    Nouveau: Support for nVidia NV30 and later cards."
-               elog "    Radeon: Newest implementation of r300-r700 driver."
-               elog "    Svga: VMWare Virtual GPU driver."
-               echo
-               myconf="${myconf}
-                       --with-state-trackers=glx,dri,egl,vega
-                       $(use_enable llvm gallium-llvm)
-                       $(use_enable gles gles1)
-                       $(use_enable gles gles2)
-                       $(use_enable gles gles-overlay)
-                       $(use_enable video_cards_vmware gallium-svga)
-                       $(use_enable video_cards_nouveau gallium-nouveau)
-                       $(use_enable video_cards_intel gallium-i915)
-                       $(use_enable video_cards_intel gallium-i965)
-                       $(use_enable video_cards_radeon gallium-radeon)
-                       $(use_enable video_cards_radeon gallium-r600)"
-       else
-               if use video_cards_nouveau || use video_cards_vmware; then
-                       elog "SVGA and nouveau drivers are available only via gallium interface."
-                       elog "Enable gallium useflag if you want to use them."
-               fi
-       fi
-
-       # --with-driver=dri|xlib|osmesa || do we need osmesa?
-       econf \
-               --disable-option-checking \
-               --with-driver=dri \
-               --disable-glut \
-               --without-demos \
-               --enable-xcb \
-               $(use_enable debug) \
-               $(use_enable motif glw) \
-               $(use_enable motif) \
-               $(use_enable nptl glx-tls) \
-               $(use_enable !pic asm) \
-               --with-dri-drivers=${DRI_DRIVERS} \
-               ${myconf}
-}
-
-src_install() {
-       base_src_install
-
-       # Save the glsl-compiler for later use
-       if ! tc-is-cross-compiler; then
-               dobin "${S}"/src/glsl/glsl_compiler || die
-       fi
-       # Remove redundant headers
-       # GLUT thing
-       rm -f "${D}"/usr/include/GL/glut*.h || die "Removing glut include failed."
-       # Glew includes
-       rm -f "${D}"/usr/include/GL/{glew,glxew,wglew}.h \
-               || die "Removing glew includes failed."
-
-       # Install config file for eselect mesa
-       insinto /usr/share/mesa
-       newins "${FILESDIR}/eselect-mesa.conf.7.9" eselect-mesa.conf || die
-
-       # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
-       # because user can eselect desired GL provider.
-       ebegin "Moving libGL and friends for dynamic switching"
-               dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
-               local x
-               for x in "${D}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
-                       if [ -f ${x} -o -L ${x} ]; then
-                               mv -f "${x}" "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
-                                       || die "Failed to move ${x}"
-                       fi
-               done
-               for x in "${D}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
-                       if [ -f ${x} -o -L ${x} ]; then
-                               mv -f "${x}" "${D}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
-                                       || die "Failed to move ${x}"
-                       fi
-               done
-       eend $?
-
-       if use classic || use gallium; then
-               ebegin "Moving DRI/Gallium drivers for dynamic switching"
-                       local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
-                       dodir /usr/$(get_libdir)/mesa
-                       for x in ${gallium_drivers[@]}; do
-                               if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
-                                       mv -f "${D}/usr/$(get_libdir)/dri/${x}" "${D}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
-                                               || die "Failed to move ${x}"
-                                       insinto "/usr/$(get_libdir)/dri/"
-                                       if [ -f "${S}/$(get_libdir)/${x}" ]; then
-                                               insopts -m0755
-                                               doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
-                                       fi
-                               fi
-                       done
-                       for x in "${D}"/usr/$(get_libdir)/dri/*.so; do
-                               if [ -f ${x} -o -L ${x} ]; then
-                                       mv -f "${x}" "${x/dri/mesa}" \
-                                               || die "Failed to move ${x}"
-                               fi
-                       done
-                       pushd "${D}"/usr/$(get_libdir)/dri || die "pushd failed"
-                       ln -s ../mesa/*.so . || die "Creating symlink failed"
-                       # remove symlinks to drivers known to eselect
-                       for x in ${gallium_drivers[@]}; do
-                               if [ -f ${x} -o -L ${x} ]; then
-                                       rm "${x}" || die "Failed to remove ${x}"
-                               fi
-                       done
-                       popd
-               eend $?
-       fi
-}
-
-pkg_postinst() {
-       # Switch to the xorg implementation.
-       echo
-       eselect opengl set --use-old ${OPENGL_DIR}
-       # Select classic/gallium drivers
-       eselect mesa set --auto
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-driver_enable() {
-       case $# in
-               # for enabling unconditionally
-               1)
-                       DRI_DRIVERS+=",$1"
-                       ;;
-               *)
-                       if use $1; then
-                               shift
-                               for i in $@; do
-                                       DRI_DRIVERS+=",${i}"
-                               done
-                       fi
-                       ;;
-       esac
-}
index 0a54d9c4ea2a070b0306e72724eb47c1a90439de..682bec92d7d4eb58f8840ec1d96875e4dbfad0e5 100644 (file)
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.9.2.ebuild,v 1.8 2011/04/17 22:53:15 chithanh Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.9.2.ebuild,v 1.9 2011/07/23 14:26:04 chithanh Exp $
 
 EAPI=3
 
@@ -92,6 +92,8 @@ done
 DEPEND="${RDEPEND}
        =dev-lang/python-2*
        dev-util/pkgconfig
+       sys-devel/bison
+       sys-devel/flex
        x11-misc/makedepend
        >=x11-proto/dri2proto-2.2
        >=x11-proto/glproto-1.4.11